Web : SSL error NET::ERR_CERT_SYMANTEC_LEGACY

By | April 30, 2018

Since April 2018, I have noticed the following SSL error with Google Chrome and Safari’s latest versions :

NET::ERR_CERT_SYMANTEC_LEGACY

All Symantec SSL/TLS certificates issued prior June 1st 2016 will output this warning from now on since the latest updates.

Web user, nothing is wrong on your side, the site owner must re-issue his certificate, even though the expiration date isn’t reached yet to workaround this issue. Symantec will offer re-issue for free if the certificate isn’t expired.

You may use their verification tool here if any doubt :

https://www.websecurity.symantec.com/support/ssl-checker

NOTE : As this post is being written (April 30th, 2018), this issue is not visible with Firefox v59.0.2. If you trust the source and need to access the blocked content (and accepting the certificate does not work for you), you still can use FF, for now.

Be Sociable, Share!